import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AdvancedThreatProtectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly targetResourceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AdvancedThreatProtectionTimeouts;
}
/**
 *
 */
export interface AdvancedThreatProtectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AdvancedThreatProtection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AdvancedThreatProtectionConfig);
    private _enabled;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    set enabled(value: boolean);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _targetResourceId;
    /**
     *
     */
    get targetResourceId(): string;
    /**
     *
     */
    set targetResourceId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AdvancedThreatProtectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AdvancedThreatProtectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
