import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AppServiceActiveSlotConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly appServiceName: string;
    /**
     *
     */
    readonly appServiceSlotName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceActiveSlotTimeouts;
}
/**
 *
 */
export interface AppServiceActiveSlotTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceActiveSlot extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceActiveSlotConfig);
    private _appServiceName;
    /**
     *
     */
    get appServiceName(): string;
    /**
     *
     */
    set appServiceName(value: string);
    private _appServiceSlotName;
    /**
     *
     */
    get appServiceSlotName(): string;
    /**
     *
     */
    set appServiceSlotName(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceActiveSlotTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceActiveSlotTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
