import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AppServiceSourceControlTokenConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly token: string;
    /**
     *
     */
    readonly tokenSecret?: string;
    /**
     *
     */
    readonly type: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceSourceControlTokenTimeouts;
}
/**
 *
 */
export interface AppServiceSourceControlTokenTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceSourceControlToken extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceSourceControlTokenConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _token;
    /**
     *
     */
    get token(): string;
    /**
     *
     */
    set token(value: string);
    private _tokenSecret?;
    /**
     *
     */
    get tokenSecret(): string | undefined;
    /**
     *
     */
    set tokenSecret(value: string | undefined);
    private _type;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    set type(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceSourceControlTokenTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceSourceControlTokenTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
