import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermAvailabilitySetConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermAvailabilitySetTimeouts;
}
/**
 *
 */
export interface DataAzurermAvailabilitySetTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermAvailabilitySet extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermAvailabilitySetConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get managed(): boolean;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get platformFaultDomainCount(): string;
    /**
     *
     */
    get platformUpdateDomainCount(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermAvailabilitySetTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermAvailabilitySetTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
