import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermIothubDpsSharedAccessPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly iothubDpsName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermIothubDpsSharedAccessPolicyTimeouts;
}
/**
 *
 */
export interface DataAzurermIothubDpsSharedAccessPolicyTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermIothubDpsSharedAccessPolicy extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermIothubDpsSharedAccessPolicyConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _iothubDpsName;
    /**
     *
     */
    get iothubDpsName(): string;
    /**
     *
     */
    set iothubDpsName(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get primaryConnectionString(): string;
    /**
     *
     */
    get primaryKey(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get secondaryConnectionString(): string;
    /**
     *
     */
    get secondaryKey(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermIothubDpsSharedAccessPolicyTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermIothubDpsSharedAccessPolicyTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
