import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermLbBackendAddressPoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly loadbalancerId: string;
    /**
     *
     */
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermLbBackendAddressPoolTimeouts;
}
/**
 *
 */
export declare class DataAzurermLbBackendAddressPoolBackendIpConfigurations extends ComplexComputedList {
    /**
     *
     */
    get id(): string;
}
/**
 *
 */
export interface DataAzurermLbBackendAddressPoolTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermLbBackendAddressPool extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermLbBackendAddressPoolConfig);
    /**
     *
     */
    backendIpConfigurations(index: string): DataAzurermLbBackendAddressPoolBackendIpConfigurations;
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _loadbalancerId;
    /**
     *
     */
    get loadbalancerId(): string;
    /**
     *
     */
    set loadbalancerId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermLbBackendAddressPoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermLbBackendAddressPoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
