import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermManagementGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly groupId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermManagementGroupTimeouts;
}
/**
 *
 */
export interface DataAzurermManagementGroupTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermManagementGroup extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermManagementGroupConfig);
    /**
     *
     */
    get displayName(): string;
    private _groupId;
    /**
     *
     */
    get groupId(): string;
    /**
     *
     */
    set groupId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get parentManagementGroupId(): string;
    /**
     *
     */
    get subscriptionIds(): string[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermManagementGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermManagementGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
