import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermResourceGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermResourceGroupTimeouts;
}
/**
 *
 */
export interface DataAzurermResourceGroupTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermResourceGroup extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermResourceGroupConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermResourceGroupTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermResourceGroupTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
