import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface EventhubNamespaceDisasterRecoveryConfigConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly alternateName?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly namespaceName: string;
    /**
     *
     */
    readonly partnerNamespaceId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: EventhubNamespaceDisasterRecoveryConfigTimeouts;
}
/**
 *
 */
export interface EventhubNamespaceDisasterRecoveryConfigTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class EventhubNamespaceDisasterRecoveryConfig extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: EventhubNamespaceDisasterRecoveryConfigConfig);
    private _alternateName?;
    /**
     *
     */
    get alternateName(): string | undefined;
    /**
     *
     */
    set alternateName(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _namespaceName;
    /**
     *
     */
    get namespaceName(): string;
    /**
     *
     */
    set namespaceName(value: string);
    private _partnerNamespaceId;
    /**
     *
     */
    get partnerNamespaceId(): string;
    /**
     *
     */
    set partnerNamespaceId(value: string);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): EventhubNamespaceDisasterRecoveryConfigTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: EventhubNamespaceDisasterRecoveryConfigTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
