import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogicAppActionCustomConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly body: string;
    /**
     *
     */
    readonly logicAppId: string;
    /**
     *
     */
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppActionCustomTimeouts;
}
/**
 *
 */
export interface LogicAppActionCustomTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogicAppActionCustom extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogicAppActionCustomConfig);
    private _body;
    /**
     *
     */
    get body(): string;
    /**
     *
     */
    set body(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _logicAppId;
    /**
     *
     */
    get logicAppId(): string;
    /**
     *
     */
    set logicAppId(value: string);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogicAppActionCustomTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogicAppActionCustomTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
