import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SecurityCenterSubscriptionPricingConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly tier: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SecurityCenterSubscriptionPricingTimeouts;
}
/**
 *
 */
export interface SecurityCenterSubscriptionPricingTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SecurityCenterSubscriptionPricing extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SecurityCenterSubscriptionPricingConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _tier;
    /**
     *
     */
    get tier(): string;
    /**
     *
     */
    set tier(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SecurityCenterSubscriptionPricingTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SecurityCenterSubscriptionPricingTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
