import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface SubnetNatGatewayAssociationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly natGatewayId: string;
    /**
     *
     */
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: SubnetNatGatewayAssociationTimeouts;
}
/**
 *
 */
export interface SubnetNatGatewayAssociationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class SubnetNatGatewayAssociation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: SubnetNatGatewayAssociationConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _natGatewayId;
    /**
     *
     */
    get natGatewayId(): string;
    /**
     *
     */
    set natGatewayId(value: string);
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): SubnetNatGatewayAssociationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: SubnetNatGatewayAssociationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
