import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementIdentityProviderTwitterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiKey: string;
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly apiSecretKey: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementIdentityProviderTwitterTimeouts;
}
/**
 *
 */
export interface ApiManagementIdentityProviderTwitterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementIdentityProviderTwitter extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementIdentityProviderTwitterConfig);
    private _apiKey;
    /**
     *
     */
    get apiKey(): string;
    /**
     *
     */
    set apiKey(value: string);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    private _apiSecretKey;
    /**
     *
     */
    get apiSecretKey(): string;
    /**
     *
     */
    set apiSecretKey(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementIdentityProviderTwitterTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: ApiManagementIdentityProviderTwitterTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
