import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface AppServiceVirtualNetworkSwiftConnectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly appServiceId: string;
    /**
     *
     */
    readonly subnetId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: AppServiceVirtualNetworkSwiftConnectionTimeouts;
}
/**
 *
 */
export interface AppServiceVirtualNetworkSwiftConnectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppServiceVirtualNetworkSwiftConnection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppServiceVirtualNetworkSwiftConnectionConfig);
    private _appServiceId;
    /**
     *
     */
    get appServiceId(): string;
    /**
     *
     */
    set appServiceId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppServiceVirtualNetworkSwiftConnectionTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: AppServiceVirtualNetworkSwiftConnectionTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
