import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermKubernetesServiceVersionsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly includePreview?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly versionPrefix?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKubernetesServiceVersionsTimeouts;
}
/**
 *
 */
export interface DataAzurermKubernetesServiceVersionsTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermKubernetesServiceVersions extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermKubernetesServiceVersionsConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _includePreview?;
    /**
     *
     */
    get includePreview(): boolean | undefined;
    /**
     *
     */
    set includePreview(value: boolean | undefined);
    /**
     *
     */
    get latestVersion(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    private _versionPrefix?;
    /**
     *
     */
    get versionPrefix(): string | undefined;
    /**
     *
     */
    set versionPrefix(value: string | undefined);
    /**
     *
     */
    get versions(): string[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermKubernetesServiceVersionsTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermKubernetesServiceVersionsTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
