import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermMssqlElasticpoolConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly serverName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermMssqlElasticpoolTimeouts;
}
/**
 *
 */
export interface DataAzurermMssqlElasticpoolTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermMssqlElasticpool extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermMssqlElasticpoolConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    get maxSizeBytes(): number;
    /**
     *
     */
    get maxSizeGb(): number;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get perDbMaxCapacity(): number;
    /**
     *
     */
    get perDbMinCapacity(): number;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _serverName;
    /**
     *
     */
    get serverName(): string;
    /**
     *
     */
    set serverName(value: string);
    /**
     *
     */
    tags(key: string): string;
    /**
     *
     */
    get zoneRedundant(): boolean;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermMssqlElasticpoolTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermMssqlElasticpoolTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
