import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermTrafficManagerGeographicalLocationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermTrafficManagerGeographicalLocationTimeouts;
}
/**
 *
 */
export interface DataAzurermTrafficManagerGeographicalLocationTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermTrafficManagerGeographicalLocation extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermTrafficManagerGeographicalLocationConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermTrafficManagerGeographicalLocationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataAzurermTrafficManagerGeographicalLocationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
