import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataFactoryLinkedServiceDataLakeStorageGen2Config extends TerraformMetaArguments {
    /**
     *
     */
    readonly additionalProperties?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly annotations?: string[];
    /**
     *
     */
    readonly dataFactoryName: string;
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly integrationRuntimeName?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly servicePrincipalId: string;
    /**
     *
     */
    readonly servicePrincipalKey: string;
    /**
     *
     */
    readonly tenant: string;
    /**
     *
     */
    readonly url: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataFactoryLinkedServiceDataLakeStorageGen2Timeouts;
}
/**
 *
 */
export interface DataFactoryLinkedServiceDataLakeStorageGen2Timeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class DataFactoryLinkedServiceDataLakeStorageGen2 extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataFactoryLinkedServiceDataLakeStorageGen2Config);
    private _additionalProperties?;
    /**
     *
     */
    get additionalProperties(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set additionalProperties(value: {
        [key: string]: string;
    } | undefined);
    private _annotations?;
    /**
     *
     */
    get annotations(): string[] | undefined;
    /**
     *
     */
    set annotations(value: string[] | undefined);
    private _dataFactoryName;
    /**
     *
     */
    get dataFactoryName(): string;
    /**
     *
     */
    set dataFactoryName(value: string);
    private _description?;
    /**
     *
     */
    get description(): string | undefined;
    /**
     *
     */
    set description(value: string | undefined);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _integrationRuntimeName?;
    /**
     *
     */
    get integrationRuntimeName(): string | undefined;
    /**
     *
     */
    set integrationRuntimeName(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _parameters?;
    /**
     *
     */
    get parameters(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    set parameters(value: {
        [key: string]: string;
    } | undefined);
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    private _servicePrincipalId;
    /**
     *
     */
    get servicePrincipalId(): string;
    /**
     *
     */
    set servicePrincipalId(value: string);
    private _servicePrincipalKey;
    /**
     *
     */
    get servicePrincipalKey(): string;
    /**
     *
     */
    set servicePrincipalKey(value: string);
    private _tenant;
    /**
     *
     */
    get tenant(): string;
    /**
     *
     */
    set tenant(value: string);
    private _url;
    /**
     *
     */
    get url(): string;
    /**
     *
     */
    set url(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataFactoryLinkedServiceDataLakeStorageGen2Timeouts | undefined;
    /**
     *
     */
    set timeouts(value: DataFactoryLinkedServiceDataLakeStorageGen2Timeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
