import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface LogicAppTriggerHttpRequestConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly logicAppId: string;
    /**
     *
     */
    readonly method?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly relativePath?: string;
    /**
     *
     */
    readonly schema: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: LogicAppTriggerHttpRequestTimeouts;
}
/**
 *
 */
export interface LogicAppTriggerHttpRequestTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class LogicAppTriggerHttpRequest extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: LogicAppTriggerHttpRequestConfig);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _logicAppId;
    /**
     *
     */
    get logicAppId(): string;
    /**
     *
     */
    set logicAppId(value: string);
    private _method?;
    /**
     *
     */
    get method(): string | undefined;
    /**
     *
     */
    set method(value: string | undefined);
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    private _relativePath?;
    /**
     *
     */
    get relativePath(): string | undefined;
    /**
     *
     */
    set relativePath(value: string | undefined);
    private _schema;
    /**
     *
     */
    get schema(): string;
    /**
     *
     */
    set schema(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): LogicAppTriggerHttpRequestTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: LogicAppTriggerHttpRequestTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
