import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface NetworkInterfaceApplicationSecurityGroupAssociationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly applicationSecurityGroupId: string;
    /**
     *
     */
    readonly networkInterfaceId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: NetworkInterfaceApplicationSecurityGroupAssociationTimeouts;
}
/**
 *
 */
export interface NetworkInterfaceApplicationSecurityGroupAssociationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class NetworkInterfaceApplicationSecurityGroupAssociation extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: NetworkInterfaceApplicationSecurityGroupAssociationConfig);
    private _applicationSecurityGroupId;
    /**
     *
     */
    get applicationSecurityGroupId(): string;
    /**
     *
     */
    set applicationSecurityGroupId(value: string);
    private _id?;
    /**
     *
     */
    get id(): string | undefined;
    /**
     *
     */
    set id(value: string | undefined);
    private _networkInterfaceId;
    /**
     *
     */
    get networkInterfaceId(): string;
    /**
     *
     */
    set networkInterfaceId(value: string);
    private _timeouts?;
    /**
     *
     */
    get timeouts(): NetworkInterfaceApplicationSecurityGroupAssociationTimeouts | undefined;
    /**
     *
     */
    set timeouts(value: NetworkInterfaceApplicationSecurityGroupAssociationTimeouts | undefined);
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
